package org.jerrymouse.cc.site.bean;

import static org.junit.Assert.*;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.cc.site.test.BaseTest;
import org.junit.Test;

public class DeviceTest extends BaseTest {
	private static Log log = LogFactory.getLog(DeviceTest.class);

	@Test
	public void testGetDevices() throws Exception {
		List<Device> devices = Device.getDevices();
		log.debug(devices);
	}

	@Test
	public void testToFormat() throws Exception {
		Device device = new Device("jb");
		Format format = device.toFormat(new Type("mp4"));
		log.debug(format);
	}
}
